/* 定义主题颜色 */
:root {
    --primary-color: #2054BF;
    --second-color: #8ab4ea;
    --primary-cancel-color: #c8c8c8;
    --primary-bgc_color: #e9f0fffa;
}

/* 重置loading容器高度 */
.loading_container {
    height: 500px;
}

#searchContainer {
    overflow: hidden;
}

.search_btn button {
    padding: 8px 20px;
    border-radius: 12px;
    height: auto;
    color: #fff;
    background-color: var(--primary-color);
}

.search_container {
    background-color: #fff;
    padding: 10px;
    margin: 10px 0;
}

.search_container .search_box {
    display: flex;
}

.search_container .search_box input {
    flex: 1;
    height: 60px;
    border-radius: 10px 0px 0px 10px;
    border: 1px solid #ccc;
    font-size: 16px;
    padding-left: 20px;
}

.search_container .search_box button {
    margin: 0;
    height: 60px;
    border: 0;
    color: #fff;
    font-size: 16px;
    width: 118px;
}

.search_container .search_box .search_btn {
    background-color: var(--primary-color);
}

.search_container .search_box .search_btn_advance {
    background: var(--second-color);
    border-radius: 0px 8px 8px 0px;
}

.result_container {
    display: flex;
    background-color: #fff;
    padding: 10px;
}

.result_container a {
    color: #333;
}

/* 检索筛选 */
.result_container .result_filter {
    width: 250px;
    margin-right: 20px;
}

.result_container .result_filter .filter_item {
    border: 1px solid #ebebeb;
}

.result_container .result_filter .filter_item .filter_title {
    background-color: #f1f1f1;
    font-weight: 700;
    font-size: 18px;
    padding: 10px;
}

.result_container .result_filter .filter_btn {
    display: none;
}

.result_container .result_filter .filter_list_item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #757575;
    padding: 5px 0px 5px 10px;
}

.filter_item .filter_list_item:nth-child(n + 5) {
    display: none;
}

.filter_item .filter_list_item .filter_list_item_title {
    flex: 1;
    margin-left: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.filter_item .filter_bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 10px;
}

.filter_item .filter_bottom .filter_btn_more {
    color: var(--primary-color);
    cursor: pointer;
    padding: 15px 0 15px 0px;
    width: 50px;
    min-height: 46px;
}

.filter_item .filter_bottom .filter_btn button {
    border-radius: 20px;
    padding: 0 20px;
}

.filter_item .filter_bottom .filter_btn .filter_btn_filter {
    color: #fff;
    background-color: var(--primary-color);
    border: none;
}

/* 检索条件 */
.filter_condition_container {
    background-color: #fff;
}

.filter_condition_container > div {
    display: flex;
    align-items: center;
}

.filter_condition_container .condition_contianer {
    flex: 1;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.filter_condition_container label {
    color: #333;
    font-weight: 700;
}

.filter_condition_container .condition_item {
    display: inline-block;
    margin: 10px 20px 10px 0;
    vertical-align: middle;
}

.filter_condition_container .condition_item .fa-times-circle {
    cursor: pointer;
    margin-left: 5px;
    color: #f56c6c;
}

.filter_condition_container .reset_btn {
    width: 60px;
    margin-left: 10px;
    border-radius: 5px;
}

/* 检索排序 */
.filter_sort_container {
    background-color: #f9f9f9;
    display: flex;
    align-items: center;
    padding: 10px;
}

.filter_sort_container .long_arrow {
    color: var(--primary-color);
    font-size: 18px;
    margin-left: 10px;
    cursor: pointer;
}

.filter_sort_container .sort_size {
    flex: 1;
    text-align: right;
}

.total_count {
    margin-left: 10px;
}

.total_count strong {
    color: var(--primary-color);
}

/* 检索结果列表 */
.result_container .result_right {
    width: 0;
    flex: 1;
    min-height: 180px;
    overflow: hidden;
}

.result_list label {
    color: #000;
    width: auto;
    min-width: auto;
}

.result_list .mul_item {
    margin-right: 10px;
}

.result_list .result_item {
    margin: 10px 0;
}

.result_keywords,
.result_creator,
.result_time {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    flex: 1;
}

.result_list li {
    padding: 15px;
    margin-bottom: 20px;
    color: #333;
    border: 1px solid #f2f2f2;
    box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, 0.08);
}

.result_list .ellipsis_btn {
    font-weight: 400;
}

.result_list .result_title {
    /* display: flex; */
}

.result_list .result_title a {
    flex: 1;
    font-size: 18px;
    font-weight: bold;
}
.result_list .result_title .tag_container {
    margin-left: 10px;
}
.result_list .result_title span {
    display: inline-block;
    font-size: 12px;
}

.result_list li em {
    color: var(--primary-color);
    font-style: inherit;
}

.result_list .result_creator_time {
    display: flex;
    /* align-items: center; */
    justify-content: space-between;
}

.result_list .publication_name_container {
    margin: 0;
    display: flex;
}

.result_list .result_source {
    display: flex;
    align-items: center;
}

.result_list .result_source .source_item {
    margin-right: 10px;
    text-decoration: none;
    cursor: default;
    border-radius: 3px;
    display: inline-block;
}

.result_list .result_source .source_item a {
    display: flex;
    align-items: center;
    color: #000;
}

.result_list .result_source img {
    width: 20px;
    height: 20px;
    margin-right: 5px;
}

/* 未检索到结果 */
.empty_tips {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    height: 200px;
    color: #333;
}


/* 高级检索 */
.startDate, .endDate {
    color: var(--primary-color);
}
tab-nav.active {
    color: var(--primary-color);
}
.tab_container {
    background-color: #f7f8fa;
}
tab {
    background-color: #f7f8fa;
    padding: 0;
}
tab tab-nav {
    font-size: 18px;
    margin: 0;
    padding: 0;
    margin-right: 40px;

    padding-top: 5px;
}

tab tab-nav.active {
    color: var(--primary-color);
    background-color: #f7f8fa;
    font-weight: 700;
    border-bottom: 4px solid var(--primary-color);
}
tab tab-nav:hover {
    color: var(--primary-color);
}

multiview view {
    margin: 0;
}
multiview .advanced_view {
    display: flex;
    justify-content: space-between;
    margin: 0;
    background-color: #f7f8fa;
    box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, 0.08);
}
multiview .professional_view {
    display: flex;
    justify-content: space-between;
    margin: 0;
    background-color: #f7f8fa;
    box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, 0.08);
}
.advanced_search_main {
    padding: 25px 20px;
    width: 0;
    flex: 1;
    background-color: #fff;
}
.advanced_search_tip {
    color: #151515;
    background-color: #fff;
    width: 310px;
    margin-left: 20px;
    padding: 12px 0 8px 12px;
}
.advanced_search_tip div {
    padding: 6px 0;
}
.view_search_type {
    padding: 40px 20px 15px;
    display: flex;
}
.advanced_title {
    width: 94px;
    display: flex;
    justify-content: start;
    align-items: center;
    font-size: 14px;
    color: #151515;
}
.search {
    display: flex;
}
.search .title {
    display: flex;
    align-items: start;
}
.search_condition {
    flex: 1;
}
.search_condition .info {
    display: flex;
    justify-content: start;
    align-items: center;
    padding-bottom: 20px;
}
.search_condition .info .selectId {
    height: 30px;
    line-height: 30px;
    font-size: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: left;
    padding-left: 5px;
    min-width: 80px;
    outline: none;
    border: 1px solid #ccc;
}
.search_condition .info .textTitle {
    border-radius: 4px;
    height: 32px;
    line-height: 1.5;
    padding: 4px 7px;
    font-size: 14px;
    flex: 1;
    border: 1px solid #dcdee2;
    border-radius: 4px;
    color: #515a6e;
    background-color: #fff;
    margin-left: 20px;
}
.search_condition .info .vague_accurate {
    width: 70px;
    height: 30px;
    line-height: 30px;
    font-size: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-left: 8px;
    outline: none;
    border: 1px solid #ccc;
    margin-left: 20px;
}
.search_condition .info .bool_value {
    border: 1px solid #ccc;
    color: #151515;
    border-radius: 5px;
    margin-right: 20px;
    height: 30px;
    line-height: 30px;
    outline: none;
    width: 50px;
    padding: 0 0 0 10px;
}
.add_sub_btn {
    width: 85px;
}
.add_condition {
    margin-left: 20px;
    font-size: 22px;
    color: var(--primary-color);
    cursor: pointer;
}
.remove_condition {
    margin-left: 10px;
    font-size: 22px;
    color: var(--primary-color);
    cursor: pointer;
}
.search_btn {
    text-align: center;
    padding: 20px 0;
}

.search_time {
    display: flex;
    align-items: center;
}

.dateTime {
    display: flex;
    align-items: center;
    position: relative;
}

.dateTime .startDate {
    height: 200px;
    border: 1px solid #ccc;
    width: 100px;
    /* left: 3px; */
    background: #fff;
    position: absolute;
    display: none;
    overflow-y: scroll;
    top: 30px;
    /* overflow-x: auto; */
}

.dateTime .endDate {
    height: 200px;
    border: 1px solid #ccc;
    width: 100px;
    background: #fff;
    position: absolute;
    left: 123px;
    top: 30px;
    display: none;
    overflow-y: scroll;
}

.dateTime .year {
    width: 100%;
    text-align: center;
}

.dateTime .year:hover {
    background: #d2d2d2;
    cursor: pointer;
}

.dateTime input {
    height: 30px;
    width: 100px;
    border: 1px solid #dcdee2;
    outline: none;
    border-radius: 5px;

    text-align: center;
    cursor: pointer;
    line-height: 30px;
}

.dateTime button {
    background: #095dad;
    border-radius: 0;
    height: 30px;
}
.keyword_tips {
    margin: 10px 20px;
    border: 1px solid #dcdee2;
    padding-bottom: 15px;
}
.keyword_tips .list_wrapper {
    display: flex;
    padding: 10px 0 0 0;
}
.keyword_tips .list_wrapper div {
    padding: 5px 5px 0 10px;
}
.keyword_tips .list_wrapper .title_item {
    color: #151515;
    font-weight: 700;
}
.keyword_tips .list_wrapper .keyword_item {
    cursor: pointer;
}
.major {
    margin: 20px;
}
.major .expressionvalue {
    max-width: 100%;
    height: auto;
    min-height: 60px;
    vertical-align: bottom;
    font-size: 14px;
    height: 192px;
}
